#ifndef QUESTION_H
#define QUESTION_H

#include <QString>
#include<QDomNode>
QT_BEGIN_NAMESPACE
class QDomElement;
class QDomNode;
QT_END_NAMESPACE

class Question
{
 protected:
  QString type;
  QString text;
  QString answer;
  int timer;

 public:
  Question(QString type);
  virtual ~Question();
  virtual bool loadFromNode(const QDomNode& node);
  virtual void print() const;
  QString getText() const;
  QString getType() const;
  QString getQuestion() const;
  QString getAnswer() const;
  void setQuestion(QString quest);
  virtual QVector<QString> *getOptions();

  friend class Window;
};

#endif // QUESTION_H
